<?php
/*Álvaro Millán Serrano*/

namespace App\controllers;

use App\Models\Cinema;
use Core\Validation;
use App\Models\Movie;
use App\Controllers\CustomerController;
use const Config\LIMIT;

class MovieController{

    public function show($args){
        CustomerController::index();

        if (isset($args[1])) {
            $page = (int) $args[1];
        }else{
            $page = 1;
        }

        $selectedCinema = Cinema::find($args[0]);
        $pages = Movie::countPages($selectedCinema->idCinema,LIMIT);
        $movies = Movie::all($selectedCinema->idCinema, $page, LIMIT);
        require "../app/views/movieTable.php";

    }


}
