<?php
/*Álvaro Millán Serrano*/

namespace App\Models;

use Core\Model;
use PDO;
class Cinema extends Model{

    public static function all(){
        $db = self::connection();

        $stmt = $db->prepare("SELECT * FROM cinemas");
        $stmt->execute();
        $cinemas = $stmt->fetchAll(PDO::FETCH_OBJ);
        return $cinemas;
    }

    public static function find($id){
        $db = self::connection();
        $stmt = $db->prepare("SELECT * FROM cinemas WHERE idCinema = :idCinema");
        $stmt->bindParam(":idCinema", $id, PDO::PARAM_INT);
        $stmt->execute();
        $cinema = $stmt->fetch(PDO::FETCH_OBJ);
        return $cinema;
    }



}
