<?php
/*Álvaro Millán Serrano*/
?>
<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
        table{
            border-collapse: collapse;
            width: 50%;
        }
        tr,th,td{
            border: 1px solid black;
            font-weight: bold;
            text-align: center;
        }
    </style>
</head>
<body>
    <h3>My purchases</h3>

    <p><?= $message ?? ""?></p>

    <?php if(count($currentPageResults) > 0){?>
    <table>
        <tr>
            <th>Movies</th>
            <th>Number of tickets</th>
            <th>date</th>
        </tr>
        <?php foreach($currentPageResults as $purchase){
            echo "<tr>";
            echo "<td>$purchase->name</td>";
            echo "<td>$purchase->numTickets</td>";
            echo "<td>$purchase->date</td>";
            echo "</tr>";
        }
        ?>
    </table><br>
    <?php } else{
        echo "You haven't done any purchases yet";
    }
    ?>
    <?php if ($page > 1) { ?>
        <button><a href="/purchase/showPurchase/<?php echo $page - 1 ?>">
                Previous
            </a></button>
    <?php } ?>
    <label>Página <?php echo $page ?> de <?php echo "$pages"?></label>
    <?php if ($page < $pages) { ?>
        <button><a href="/purchase/showPurchase/<?php echo $page + 1 ?>">
                Next
            </a></button>
    <?php }?>


</body>
</html>
